EDIT - bug #4919

improve AdvancedBeanlnitializer
05/20/2015 11:41 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

The AdvancedBeanlnitializer needs improvements:

1. autoinitialization of Collection items in case of bean.collection where an Autoinitializer exists for the type of the collection items -
DONE : 72b0ad09b r23851

2. autoinitialization of asscoiated beans as in case of bean.subBean where an Autoinitializer exists for the type of the subBean
items

3. calls to PropertyUtils.getProperty() are causing unwanted initalization in some cases, e.g. in @initializeNodeNoWildcard()@:

Object propertyValue = PropertyUtils.getProperty (parentBean, propertyName) ;
preparePropertyValueForBulkLoadOrStore (node, parentBean, property, propertyValue);

1. each bean passed to the initializeAll() method of the AdvancedBeanlnitializer is auto-initialized independently from the
initStrategy (see snipped below), this should improved by making use of the hql returned by addAutoinitFetchLoading()

//autoinitialize
for (Object bean : beanList) {
autoinitializeBean (bean);

}

Related issues:
Related to EDIT - task #7054: clean up initialization strategy using ".repres... In Progress

History

#1 - 05/20/2015 01:12 PM - Andreas Kohlbecker

improvements by solving 1. autoinitialization of Collection items :
e 72b0ad09b r23851

related bugfixes:
e git: c9b5f6518, 824e1221 ;

e svn: r23855, r23853

#2 - 05/20/2015 04:42 PM - Andreas Kohlbecker

fixing problem with missing autoinitialization of titteCaches: r23866

#3 - 09/17/2021 05:34 PM - Andreas Miiller
- Description updated

- Target version changed from cdmlib - Old Next Major Release to Unassigned CDM tickets

#4 - 09/17/2021 05:34 PM - Andreas Miiller

- Private changed from Yes to No
#5 - 03/23/2022 11:17 AM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- Target version changed from Unassigned CDM tickets to Release 5.44
Please check what is still open

#6 - 03/23/2022 11:20 AM - Andreas Miiller

- Related to task #7054: clean up initialization strategy using '.representations' added
